#pragma once

#include "CoreMinimal.h"
#include "DBDTunableRowHandle.h"
#include "DrawPatrolSnappingHandler.generated.h"

USTRUCT(BlueprintType)
struct FDrawPatrolSnappingHandler
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _snappingDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _previewSnappingTime;

public:
	THEK30_API FDrawPatrolSnappingHandler();
};

FORCEINLINE uint32 GetTypeHash(const FDrawPatrolSnappingHandler) { return 0; }
